Bug 178733 - arts: cleanup .la files
arts: cleanup .la files
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: arts (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ngo Than
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-01-23 15:49 EST by Rex Dieter
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-02-01 05:20:54 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Rex Dieter 2006-01-23 15:49:02 EST
Can drop extraneous Req's from -devel: 
 
Requires: esound-devel 
Requires: glib2-devel 
Requires: libvorbis-devel 
Requires: audiofile-devel 
Requires: alsa-lib-devel 
 
By adding to %install: 
## remove references to optional external libraries in .la files 
# libmad 
sed -i -e "s@-lmad@@g"                $RPM_BUILD_ROOT%{_libdir}/*.la 
sed -i -e "s@%{_libdir}/libmad.la@@g" $RPM_BUILD_ROOT%{_libdir}/*.la 
# ogg 
sed -i -e "s@-lvorbisfile@@g"   $RPM_BUILD_ROOT%{_libdir}/*.la 
sed -i -e "s@-lvorbisenc@@g"    $RPM_BUILD_ROOT%{_libdir}/*.la 
sed -i -e "s@-lvorbis@@g"       $RPM_BUILD_ROOT%{_libdir}/*.la 
sed -i -e "s@-logg@@g"          $RPM_BUILD_ROOT%{_libdir}/*.la 
# alsa-lib/asound 
sed -i -e "s@-lasound@@g"       $RPM_BUILD_ROOT%{_libdir}/*.la 
# audiofile 
sed -i -e "s@-laudiofile@@g"    $RPM_BUILD_ROOT%{_libdir}/*.la 
# esound/esd 
sed -i -e "s@-lesd@@g"                $RPM_BUILD_ROOT%{_libdir}/*.la 
sed -i -e "s@%{_libdir}/libesd.la@@g" $RPM_BUILD_ROOT%{_libdir}/*.la 
# glib 
sed -i -e "s@-lgmodule-2.0@@g"  $RPM_BUILD_ROOT%{_libdir}/*.la 
sed -i -e "s@-lgthread-2.0@@g"  $RPM_BUILD_ROOT%{_libdir}/*.la 
sed -i -e "s@-lglib-2.0@@g"     $RPM_BUILD_ROOT%{_libdir}/*.la 
# png/zlib 
sed -i -e "s@-lpng -lz @@g"     $RPM_BUILD_ROOT%{_libdir}/*.la
Comment 1 Ngo Than 2006-02-01 05:20:54 EST
it should be fixed in the kde upstream.

Note You need to log in before you can comment on or make changes to this bug.